Bug 868314 - replace-brick should be able to continue
replace-brick should be able to continue
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.3.0
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 09:34 EDT by Joe Julian
Modified: 2015-11-03 18:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Julian 2012-10-19 09:34:38 EDT
In the event that a replace-brick operation fails midway through for whatever reason, power failure, or a bug that causes the inode table to be walked to the end of time requiring the process to be killed, you should be able to restart the process by issuing the replace-brick..start command again. It should also restart the process automatically when glusterd is started.
Comment 1 Amar Tumballi 2012-10-21 22:37:52 EDT
Joe,
 we will try to address this, meantime, any thoughts on http://lists.gnu.org/archive/html/gluster-devel/2012-10/msg00050.html ?
Comment 2 Niels de Vos 2014-11-27 09:54:03 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.